Messages
Attach Tags To Message
Attaches release-form tags (creator IDs, partner IDs, guest IDs) to a message that has already been sent. Used by automated workflows that upload media, send it, then attach the correct release-form tags after the fact. Requires permission api_messages_attach_tags.
https://public-api.buffmetrics.comPOST/v1/{account_id}/messages/{message_id}/attach-tags
Bearer
Authorization
defaultAuthorizationBearer <token>Send your FansMetric API key as a Bearer token in the Authorization header.
In: header
Path Parameters
account_id*integerOnlyFans numeric account ID.
message_id*integerThe message ID to attach tags to.
Request Body
application/jsonrfTagstringArray of OnlyFans creator user IDs to tag. Empty array clears existing creator tags. Omit the key entirely to leave creator tags unchanged.
rfPartnerstringArray of release-form partner IDs. Empty array clears existing partner tags.
rfGueststringArray of release-form guest IDs. Empty array clears existing guest tags.
curl --request POST "https://public-api.buffmetrics.com/v1/acct_XXXXX/messages/XXXXX/attach-tags" \
--header "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
--data '{
"rfTag": [12345, 67890],
"rfPartner": [],
"rfGuest": [111222]
}'Response
200{
"data":{
"success":true
}
"_meta":{
"_credits":{
"used":1
}
"_rate_limits":{
"limit_minute":1000
"remaining_minute":999
"limit_day":50000
"remaining_day":49999
}
}
}